Package org.opensaml.saml.common.messaging.context.navigate

# Class SAMLBindingContextBindingFunction

java.lang.Object
org.opensaml.saml.common.messaging.context.navigate.SAMLBindingContextBindingFunction

All Implemented Interfaces:
  `Function<SAMLBindingContext,String>`, `ContextDataLookupFunction<SAMLBindingContext,String>`

public class SAMLBindingContextBindingFunction extends Object implements ContextDataLookupFunction<SAMLBindingContext,String>
`ContextDataLookupFunction` that returns the SAML binding from a `SAMLBindingContext`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`useShortName`
Whether to extract the "short" name for the binding, if possible.

## Constructor Summary

Constructors
Constructor
Description
`SAMLBindingContextBindingFunction()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(SAMLBindingContext input)`
`void`
`setUseShortName(boolean flag)`
Set whether to extract the short name for binding, if available.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### useShortName

private boolean useShortName
Whether to extract the "short" name for the binding, if possible.

## Constructor Details

### SAMLBindingContextBindingFunction

public SAMLBindingContextBindingFunction()

## Method Details

### setUseShortName

public void setUseShortName(boolean flag)
Set whether to extract the short name for binding, if available.

Parameters:
  `flag` - flag to set

### apply

@Nullable public String apply(@Nullable SAMLBindingContext input)

Specified by:
  `apply` in interface `Function<SAMLBindingContext,String>`